Subject: Re: [Netconf] WG Last Call: Pls review proposed text change regarding:[Technical Errata Reported] RFC4742 (1628)

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Wed, 11 Mar 2009 17:15:06 +0100

Wg participants,

I have not seen/heard any oobjections to the below. I will now request RFC-Editor 
to mark the reported errata/erratum as a formal errata/erratum (I believe the
correct latin is erratum if it is a single one) and use the text as provided by Margaret.
I will ask Dan to confirm that to RFC-Editor and I will then also ask Dan to instruct
IANA to make the according change to the registry.

Bert and Mehmet
  ----- Original Message ----- 
  From: Bert Wijnen (IETF) 
  To: Netconf 
  Cc: Margaret Wasserman 
  Sent: Thursday, February 26, 2009 5:28 PM
  Subject: [Netconf] WG Last Call: Pls review proposed text change regarding:[Technical Errata Reported] RFC4742 (1628)

  WG participants,

  Please review the below proposed text replacement to address a reported Errata.
  Deadline is March 11th, so that (if needed... probabl;y not, but just in case) we 
  can try to get it on IESG agenda on 12th. 
  Propably it is just OK if Dan approves it onces we as a WG have consensus.

  Bert and Mehmet
  ----- Original Message ----- 
  From: Margaret Wasserman 
  To: Bert Wijnen (IETF) 
  Cc: Ted Goddard ; [email-masked] 
  Sent: Wednesday, February 25, 2009 6:16 PM
  Subject: Re: [Technical Errata Reported] RFC4742 (1628)

  Hi Bert,

  This errata is correct, and netconf should be listed as an SSN  
  subsystem name, not an SSH service name.  However, we need to change  
  more than the RFC text, as the IANA registry is also incorrect.

  The text change in the correct format would look like this...

  On page 7 (in Section 7. IANA Considerations) please replace:

  IANA is also requested to assign "netconf" as an SSH Service Name as
  defined in [RFC4250], as follows:

            Service Name                  Reference
            -------------                 ---------
            netconf                       RFC 4742

  With:

  Corrected Text
  --------------
  IANA is also requested to assign "netconf" as an SSH Connection
  Protocol Subsystem Name as defined in [RFC4250], as follows:

            Subsystem Name             Reference
            -------------                 ---------
            netconf                       RFC 4742

  However, I don' t think we should make this change unless/until we can  
  make a corresponding change with IANA.  What is the procedure for that?

  Thanks,
  Margaret

  > On Feb 25, 2009, at 10:41 AM, Bert Wijnen (IETF) wrote:

  > Could the authors/editors PLEASE report/respond/vent their opinion?
  >
  > Thanks,
  > Bert and Mehmet
  >
  > ----- Original Message -----
  > From: [email-masked]
  > To: [email-masked] ; [email-masked]
  > Cc: [email-masked] ; [email-masked]
  > Sent: Monday, February 23, 2009 2:23 PM
  > Subject: RE: [Technical Errata Reported] RFC4742 (1628)
  >
  > Ted, Margaret, Bert, and Mehmet,
  >
  > Has there been any progress on this? (I'm not on the NETCONF mailing  
  > list, but quick look at the archive didn't find anything)
  >
  > Best regards,
  > Pasi
  >
  > From: ext Bert Wijnen (IETF) [mailto:[email-masked]]
  > Sent: 09 December, 2008 11:18
  > To: Netconf; Ted Goddard; Margaret Wasserman
  > Cc: Eronen Pasi (Nokia-NRC/Helsinki)
  > Subject: Fw: [Technical Errata Reported] RFC4742 (1628)
  >
  > NETCONF WG members,
  >
  > We have received the following reported Technical errata.
  > We have had a few interactions between the authors, WG chairs, AD  
  > and Pasi.
  > It seems that the Errata report is indeed correct.
  > It also seems a bit heavy to issue a new RFC just for this.
  > So we (WG chairs) are suggesting that Ted and Margaret compose a fix  
  > (can be
  > based mainly on the text that Pasi already provided) in the form of:
  >
  > on page xxxx replace
  >
  >     old text
  >
  > with
  >
  >    new text
  >
  > And that we all get a chance on the mailing list to review and  
  > comment.
  > Once we're OK with the text, we can pass it to the RFC-Editor.
  > And also put it in our queue for the time that rfc4742 needs revision.
  > Maybve... while we do rfc4741 revision we find other things that  
  > could also
  > have an impact on 4742, and we can then decide if that is serious  
  > enough to
  > also reissue rfc4742.
  >
  > So Ted and Marageret, pls send proposed text.
  >
  > Bert and Mehmet
  >
  >
  > ----- Original Message -----
  > From: RFC Errata System
  > To: [email-masked] ; [email-masked] ; [email-masked] 
  >  ; [email-masked] ;[email-masked] ; [email-masked]
  > Cc: [email-masked] ; [email-masked]
  > Sent: Thursday, December 04, 2008 7:20 PM
  > Subject: [Technical Errata Reported] RFC4742 (1628)
  >
  >
  > The following errata report has been submitted for RFC4742,
  > "Using the NETCONF Configuration Protocol over Secure SHell (SSH)".
  >
  > --------------------------------------
  > You may review the report below and at:
  > http://www.rfc-editor.org/errata_search.php?rfc=4742&eid=1628
  >
  > --------------------------------------
  > Type: Technical
  > Reported by: Pasi Eronen <[email-masked]>
  >
  > Section: 7
  >
  > Original Text
  > -------------
  > IANA is also requested to assign "netconf" as an SSH Service Name as
  > defined in [RFC4250], as follows:
  >
  >          Service Name                  Reference
  >          -------------                 ---------
  >          netconf                       RFC 4742
  >
  >
  > Corrected Text
  > --------------
  > IANA is also requested to assign "netconf" as an SSH Connection
  > Protocol Subsystem Name as defined in [RFC4250], as follows:
  >
  >          Subsystem Name                Reference
  >          -------------                 ---------
  >          netconf                       RFC 4742
  >
  >
  > Notes
  > -----
  > The IANA registry (http://www.iana.org/assignments/ssh-parameters)
  > also needs to be fixed.
  >
  > Instructions:
  > -------------
  > This errata is currently posted as "Reported". If necessary, please
  > use "Reply All" to discuss whether it should be verified or
  > rejected. When a decision is reached, the verifying party (IESG)
  > can log in to change the status and edit the report, if necessary.
  >
  > --------------------------------------
  > RFC4742 (draft-ietf-netconf-ssh-06)
  > --------------------------------------
  > Title               : Using the NETCONF Configuration Protocol over  
  > Secure SHell (SSH)
  > Publication Date    : December 2006
  > Author(s)           : M. Wasserman, T. Goddard
  > Category            : PROPOSED STANDARD
  > Source              : Network Configuration
  > Area                : Operations and Management
  > Stream              : IETF
  > Verifying Party     : IESG

------------------------------------------------------------------------------

  _______________________________________________
  Netconf mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/netconf